Module
Contents
Index 🔎︎

# End Statement

Avslutar en procedur eller ett block.

## Syntax:

    End, End Function, End If, End Select, End Sub

## Parametrar:

End-uttryck används så här:

## Uttryck

Slut: Inte obligatoriskt, men kan användas i en procedur för att avsluta programkörningen.

End Function: Avslutar ett Function-uttryck.

End If: Anger slutet på ett block som inletts med If...Then...Else.

End Select: Anger slutet på ett block som inletts med Select Case.

End Sub: Avslutar ett Sub-uttryck.

## Exempel:

    Sub ExampleRandomSelect

    Dim iVar As Integer

        iVar = Int((15 * Rnd) -2)

        Select Case iVar

            Case 1 To 5

                Print "Nummer från 1 till 5"

            Case 6, 7, 8

                Print "Nummer från 6 till 8"

            Case Is > 8 And iVar < 11

                Print "Större än 8"

            Case Else

                Print "Utanför intervallet 1 till 10"

        End Select

    End Sub